Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanNotificationInfo

    java.lang.Object
      |
      +--javax.management.MBeanFeatureInfo
            |
            +--javax.management.MBeanNotificationInfo

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  ModelMBeanNotificationInfo

public class MBeanNotificationInfo
extends MBeanFeatureInfo
implements java.lang.Cloneable, java.io.Serializable

Describes a notification emitted by an MBean.

See Also:
  Serialized Form

Fields inherited from class javax.management.MBeanFeatureInfo
`description, name`

Constructor Summary
`MBeanNotificationInfo(java.lang.String[] notifsType, java.lang.String name, java.lang.String description)` Constructs an `MBeanNotificationInfo` object.

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String[]` | `getNotifTypes()` Returns the notification type string (in dot notation) of the notification.

Methods inherited from class javax.management.MBeanFeatureInfo
`getDescription, getName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanNotificationInfo

    public MBeanNotificationInfo(java.lang.String[] notifsType,
                                 java.lang.String name,
                                 java.lang.String description)

  Constructs an `MBeanNotificationInfo` object.
  Parameters:
    `notifsType` - The event type string (in dot notation).
    `name` - The name of the `Notification` class.
    `description` - A human readable description of the data.

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getNotifTypes

    public java.lang.String[] getNotifTypes()

  Returns the notification type string (in dot notation) of the notification.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD